Bug 102872 - Nautilus no longer builds
Summary: Nautilus no longer builds
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: nautilus (Show other bugs)
(Show other bugs)
Version: 7.3
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Alexander Larsson
QA Contact: Jay Turner
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-08-22 00:24 UTC by Alan Olsen
Modified: 2015-01-08 00:06 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-03-03 16:34:33 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Alan Olsen 2003-08-22 00:24:16 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.0.2) Gecko/20030728

Description of problem:
Mozilla 1.0.1 installed the includes and libraries in /usr/include/mozilla and
/usr/lib/mozilla.

Mozilla 1.0.2 (a security update) installs the includes and libraries in
/usr/include/mozilla-1.0.2 and /usr/lib/mozilla-1.0.2.

Nautilus gets very confused and refuses to build because it is looking for the
libraries in the old location.  (As set in configure.in.)

This is a problem becuase you cannot rebuild the nautilus package using the
latest security fix for mozilla.

nautilus needs to use mozilla-config to determine correct library locations.


Version-Release number of selected component (if applicable):
nautilus-1.0.6-16

How reproducible:
Always

Steps to Reproduce:
1. Install source rpm for nautilus
2. rpm -ba nautilus.spec
3. Watch it go boom.
    

Additional info:

configure: error: 
*** Mozilla 0.9.5 or greater is required to build the
*** Nautilus Mozilla component.
error: Bad exit status from /var/tmp/rpm-tmp.68042 (%build)

Line 145 of configure.in has the start of the offending section.

kdebindings probably has similar problems.  (As well as anything assuming it
knows where the libraries for mozilla are located.)

Comment 1 Alan Olsen 2003-08-22 19:22:34 UTC
Here is what it takes to fix the problem.

In the nautilus.spec file:

Add: "%define mozilla_version 1.0.2"

Append:

 --with-mozilla-lib-place=/usr/lib/mozilla-%{mozilla_version} \
--with-mozilla-include-place=/usr/include/mozilla-%{mozilla_version} \
--with-mozilla-nspr-include-place=/usr/include/mozilla-%{mozilla_version}/nspr

to the line: 

CFLAGS="$RPM_OPT_FLAGS -g" %configure --disable-more-warnings 

in the %build section.

The only problem with this fix is that it now binds nautilus to the version of
Mozilla.  (Unavoidable considering the change to Mozilla's install.)


Comment 2 Alexander Larsson 2003-08-25 07:24:04 UTC
Did you file a separate bug about kdebindings?

Comment 3 Alan Olsen 2003-08-25 19:24:52 UTC
No. I will do that.  (My solution for that one is less than clean. It is caused
by  the change in locations in both bugs.)


Comment 4 Alexander Larsson 2003-08-26 07:26:32 UTC
Chris, you seem to have done a nautilus errata for moz 1.0.1. Is 1.0.2 supposed
to need a new errata?

Comment 6 Alexander Larsson 2004-03-03 16:34:33 UTC
7.3 not supported anymore. This works in recent versions.


Note You need to log in before you can comment on or make changes to this bug.